diff --git a/ldap/servers/plugins/syntaxes/value.c b/ldap/servers/plugins/syntaxes/value.c
index ef496ee..360e57f 100644
--- a/ldap/servers/plugins/syntaxes/value.c
+++ b/ldap/servers/plugins/syntaxes/value.c
@@ -368,7 +368,7 @@ value_cmp(
 	} else if (syntax & SYNTAX_CES) {
 		rc = strcmp( v1->bv_val, v2->bv_val );
 	} else { /* error - unknown syntax */
-		LDAPDebug(LDAP_DEBUG_PLUGIN,
+		LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG,
 				  "invalid syntax [%d]\n", syntax, 0, 0);
 	}
 
diff --git a/ldap/servers/slapd/abandon.c b/ldap/servers/slapd/abandon.c
index 9a39f6a..72680d7 100644
--- a/ldap/servers/slapd/abandon.c
+++ b/ldap/servers/slapd/abandon.c
@@ -38,7 +38,7 @@ do_abandon( Slapi_PBlock *pb )
 	Operation	*o;
 	BerElement	*ber = pb->pb_op->o_ber;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "do_abandon\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "do_abandon\n", 0, 0, 0 );
 
 	/*
 	 * Parse the abandon request.  It looks like this:
@@ -47,7 +47,7 @@ do_abandon( Slapi_PBlock *pb )
 	 */
 
 	if ( ber_scanf( ber, "i", &id ) == LBER_ERROR ) {
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		    "ber_scanf failed (op=Abandon; params=ID)\n",
 		    0, 0 ,0 );
 		return;
@@ -61,14 +61,14 @@ do_abandon( Slapi_PBlock *pb )
 	 * pass them to the backend.
 	 */
 	if ( (err = get_ldapmessage_controls( pb, ber, NULL )) != 0 ) {
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 				"get_ldapmessage_controls failed: %d (%s) (op=Abandon)\n", 
 				err, ldap_err2string( err ), 0);
 		/* LDAP does not allow any response to an abandon */
 		return;
 	}
 
-	LDAPDebug( LDAP_DEBUG_ARGS, "do_abandon: id %d\n", id, 0 ,0 );
+	LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "do_abandon: id %d\n", id, 0 ,0 );
 
 	/*
 	 * find the operation being abandoned and set the o_abandon
@@ -97,7 +97,7 @@ do_abandon( Slapi_PBlock *pb )
 		if (ts) {
 		  	operation_set_target_spec (pb->pb_op, ts);
 		} else {
-		     LDAPDebug( LDAP_DEBUG_TRACE, "do_abandon: no target spec of abandoned operation\n", 0,0,0);
+		     LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "do_abandon: no target spec of abandoned operation\n", 0,0,0);
 		}
 
 		operation_set_abandoned_op (pb->pb_op, o->o_abandoned_op);
diff --git a/ldap/servers/slapd/add.c b/ldap/servers/slapd/add.c
index 0f38318..bfe5054 100644
--- a/ldap/servers/slapd/add.c
+++ b/ldap/servers/slapd/add.c
@@ -61,7 +61,7 @@ do_add( Slapi_PBlock *pb )
 	int			rc;
 	PRBool  searchsubentry=PR_TRUE;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "do_add\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "do_add\n", 0, 0, 0 );
 
 	slapi_pblock_get( pb, SLAPI_OPERATION, &operation);
     ber = operation->o_ber;
@@ -86,7 +86,7 @@ do_add( Slapi_PBlock *pb )
 		Slapi_DN mysdn;
 		if ( ber_scanf( ber, "{a", &rawdn ) == LBER_ERROR ) {
 			slapi_ch_free_string(&rawdn);
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 				"ber_scanf failed (op=Add; params=DN)\n", 0, 0, 0 );
 			op_shared_log_error_access (pb, "ADD", "???", "decoding error");
 			send_ldap_result( pb, LDAP_PROTOCOL_ERROR, NULL,
@@ -121,7 +121,7 @@ do_add( Slapi_PBlock *pb )
 		slapi_entry_init_ext(e, &mysdn, NULL);
 		slapi_sdn_done(&mysdn);
 	}
-	LDAPDebug( LDAP_DEBUG_ARGS, "	do_add: dn (%s)\n", slapi_entry_get_dn_const(e), 0, 0 );
+	LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "	do_add: dn (%s)\n", slapi_entry_get_dn_const(e), 0, 0 );
 
 	/* get the attrs */
 	for ( tag = ber_first_element( ber, &len, &last );
@@ -140,7 +140,7 @@ do_add( Slapi_PBlock *pb )
 		}
 
 		if ( vals == NULL ) {
-			LDAPDebug( LDAP_DEBUG_ANY, "no values for type %s\n", type, 0, 0 );
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "no values for type %s\n", type, 0, 0 );
 			op_shared_log_error_access (pb, "ADD", slapi_sdn_get_dn (slapi_entry_get_sdn_const(e)), "null value");
 			send_ldap_result( pb, LDAP_PROTOCOL_ERROR, NULL, NULL,
 			    0, NULL );
@@ -787,7 +787,7 @@ add_created_attrs(Slapi_PBlock *pb, Slapi_Entry *e)
 	struct slapi_componentid *cid = NULL;
 	slapdFrontendConfig_t *slapdFrontendConfig = getFrontendConfig();
 
-	LDAPDebug(LDAP_DEBUG_TRACE, "add_created_attrs\n", 0, 0, 0);
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "add_created_attrs\n", 0, 0, 0);
 
 	bvals[0] = &bv;
 	bvals[1] = NULL;
@@ -881,7 +881,7 @@ static int check_rdn_for_created_attrs(Slapi_Entry *e)
 
         for (i = 0; type[i] != NULL; i++) {
             if (slapi_rdn_contains_attr(rdn, type[i], &value)) {
-                LDAPDebug(LDAP_DEBUG_TRACE, "Invalid DN. RDN contains %s attribute\n", type[i], 0, 0);
+                LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "Invalid DN. RDN contains %s attribute\n", type[i], 0, 0);
                 rc = 1;
                 break;
             }
@@ -889,7 +889,7 @@ static int check_rdn_for_created_attrs(Slapi_Entry *e)
 
         slapi_rdn_free(&rdn);
     } else {
-        LDAPDebug(LDAP_DEBUG_TRACE, "check_rdn_for_created_attrs: Error allocating RDN\n", 0, 0, 0);
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "check_rdn_for_created_attrs: Error allocating RDN\n", 0, 0, 0);
         rc = -1;
     }
 
@@ -907,7 +907,7 @@ static void handle_fast_add(Slapi_PBlock *pb, Slapi_Entry *entry)
 
     if ((be == NULL) || (be->be_wire_import == NULL)) {
         /* can this even happen? */
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "handle_fast_add: backend not supported\n", 0, 0, 0);
         send_ldap_result(pb, LDAP_NOT_SUPPORTED, NULL, NULL, 0, NULL);
         return;
@@ -924,7 +924,7 @@ static void handle_fast_add(Slapi_PBlock *pb, Slapi_Entry *entry)
     if (operation_is_flag_set(operation, OP_FLAG_ACTION_SCHEMA_CHECK) &&
         (slapi_entry_schema_check(pb, entry) != 0)) {
 	char *errtext; 
-        LDAPDebug(LDAP_DEBUG_TRACE, "entry failed schema check\n", 0, 0, 0);
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "entry failed schema check\n", 0, 0, 0);
 	slapi_pblock_get(pb, SLAPI_PB_RESULT_TEXT, &errtext);
         send_ldap_result(pb, LDAP_OBJECT_CLASS_VIOLATION, NULL, errtext, 0, NULL);
         slapi_entry_free(entry);
@@ -934,7 +934,7 @@ static void handle_fast_add(Slapi_PBlock *pb, Slapi_Entry *entry)
     /* syntax check */
     if (slapi_entry_syntax_check(pb, entry, 0) != 0) {
         char *errtext;
-        LDAPDebug(LDAP_DEBUG_TRACE, "entry failed syntax check\n", 0, 0, 0);
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "entry failed syntax check\n", 0, 0, 0);
         slapi_pblock_get(pb, SLAPI_PB_RESULT_TEXT, &errtext);
         send_ldap_result(pb, LDAP_INVALID_SYNTAX, NULL, errtext, 0, NULL);
         slapi_entry_free(entry);
@@ -954,7 +954,7 @@ static void handle_fast_add(Slapi_PBlock *pb, Slapi_Entry *entry)
     slapi_pblock_set(pb, SLAPI_BULK_IMPORT_STATE, &ret);
     ret = (*be->be_wire_import)(pb);
     if (ret != 0) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "wire import: error during import (%d)\n",
                   ret, 0, 0);
         send_ldap_result(pb, LDAP_OPERATIONS_ERROR,
@@ -988,7 +988,7 @@ add_uniqueid (Slapi_Entry *e)
 	}
 	else
 	{
-		LDAPDebug(LDAP_DEBUG_ANY, "add_created_attrs: uniqueid generation failed for %s; error = %d\n", 
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "add_created_attrs: uniqueid generation failed for %s; error = %d\n", 
 				   slapi_entry_get_dn_const(e), rc, 0);
 	}
 
diff --git a/ldap/servers/slapd/attrsyntax.c b/ldap/servers/slapd/attrsyntax.c
index 25078fe..b34216a 100644
--- a/ldap/servers/slapd/attrsyntax.c
+++ b/ldap/servers/slapd/attrsyntax.c
@@ -119,14 +119,14 @@ check_oid( const char *oid ) {
 
   if ( oid == NULL) {
 	/* this is bad */
-	LDAPDebug (LDAP_DEBUG_ANY, "NULL passed to check_oid\n",0,0,0);
+	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "NULL passed to check_oid\n",0,0,0);
 	return 0;
   }
   
   length_oid = strlen(oid);
   if (length_oid < 4) {
 	/* this is probably bad */
-	LDAPDebug (LDAP_DEBUG_ANY, "Bad oid %s passed to check_oid\n",oid,0,0);
+	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Bad oid %s passed to check_oid\n",oid,0,0);
 	return 0;
   }
 
@@ -141,14 +141,14 @@ check_oid( const char *oid ) {
   
   if ( !isdigit(oid[0]) || 
 	   !isdigit(oid[length_oid-1]) ) {
-	LDAPDebug (LDAP_DEBUG_ANY, "Non numeric oid %s passed to check_oid\n",oid,0,0);
+	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Non numeric oid %s passed to check_oid\n",oid,0,0);
 	return 0;
   }
 
   /* check to see that it contains only digits and dots */
   for ( i = 0; i < length_oid; i++ ) {
 	if ( !isdigit(oid[i]) && oid[i] != '.'  ){
-	  LDAPDebug (LDAP_DEBUG_ANY, "Non numeric oid %s passed to check_oid\n",oid,0,0);
+	  LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Non numeric oid %s passed to check_oid\n",oid,0,0);
 	  return 0;
 	}
   }
@@ -174,7 +174,7 @@ attr_syntax_check_oids()
 		PLHashEntry *he = oid2asi->buckets[ii-1];
 		for (; he; he = he->next) {
 			if (!check_oid(he->key)) {
-				LDAPDebug(LDAP_DEBUG_ANY, "Error: bad oid %s in bucket %d\n",
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Error: bad oid %s in bucket %d\n",
 						  he->key, ii-1, 0);
 				nbad++;
 			}
@@ -670,7 +670,7 @@ int default_dirstring_values2keys( Slapi_PBlock *pb, Slapi_Value **bvals,Slapi_V
 	case LDAP_FILTER_SUBSTRINGS:
 	default:
 		/* default plugin only handles equality so far */
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		    "default_dirstring_values2keys: unsupported ftype 0x%x\n",
 		    ftype, 0, 0 );
 		break;
diff --git a/ldap/servers/slapd/auth.c b/ldap/servers/slapd/auth.c
index 18cb7f9..f7dd9ce 100644
--- a/ldap/servers/slapd/auth.c
+++ b/ldap/servers/slapd/auth.c
@@ -59,7 +59,7 @@ slapu_search_s( LDAP* ld, const char* rawbaseDN, int scope, const char* filter,
         slapi_sdn_free(&sdn);
         return err;
     }
-    LDAPDebug (LDAP_DEBUG_TRACE, "=> slapu_search_s (\"%s\", %i, %s)\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> slapu_search_s (\"%s\", %i, %s)\n",
                baseDN, scope, filter);
     if (filter == NULL) filter = "objectclass=*";
 
@@ -86,18 +86,18 @@ slapu_search_s( LDAP* ld, const char* rawbaseDN, int scope, const char* filter,
             pb = NULL;
             if (scope == LDAP_SCOPE_SUBTREE) {
                 char fbuf[ BUFSIZ ];
-                LDAPDebug (LDAP_DEBUG_ANY, "slapi_search_internal (\"%s\", subtree, %s) err %i\n",
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "slapi_search_internal (\"%s\", subtree, %s) err %i\n",
                            baseDN, escape_string( (char*)filter, fbuf ), err);
             }
         }
     } else {
         char fbuf[ BUFSIZ ];
-        LDAPDebug (LDAP_DEBUG_ANY, "slapi_search_internal (\"%s\", %i, %s) NULL\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "slapi_search_internal (\"%s\", %i, %s) NULL\n",
                    baseDN, scope, escape_string( (char*)filter, fbuf ));
     }
     slapi_sdn_free(&sdn);
     *result = (LDAPMessage*)pb;
-    LDAPDebug (LDAP_DEBUG_TRACE, "<= slapu_search_s %i\n", err, 0, 0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= slapu_search_s %i\n", err, 0, 0);
     return err;
 }
 
@@ -260,14 +260,14 @@ client_auth_init ()
     if (client_auth_config_file == NULL) {
 	char *confdir = config_get_configdir();
 	if (NULL == confdir) {
-	    LDAPDebug (LDAP_DEBUG_ANY,
+	    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		"client_auth_init: failed to get configdir\n",
 		0, 0, 0);
 	    return;
 	}
 	client_auth_config_file = PR_smprintf("%s/certmap.conf", confdir);
 	if (NULL == client_auth_config_file) {
-	    LDAPDebug (LDAP_DEBUG_ANY,
+	    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		"client_auth_init: failed to duplicate \"%s/certmap\"\n",
 		confdir, 0, 0);
 	    slapi_ch_free_string(&confdir);
@@ -277,7 +277,7 @@ client_auth_init ()
     }
     err = ldaputil_init (client_auth_config_file, "", NULL, "slapd", NULL);
     if (err != LDAPU_SUCCESS) {
-	LDAPDebug (LDAP_DEBUG_TRACE, "ldaputil_init(%s,...) %i\n",
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "ldaputil_init(%s,...) %i\n",
 		client_auth_config_file, err, 0);
     } else {
 	LDAPUVTable_t vtable = {
@@ -331,7 +331,7 @@ subject_of (CERTCertificate* cert)
     if (cert != NULL) {
 	int err = ldapu_get_cert_subject_dn (cert, &dn);
 	if (err != LDAPU_SUCCESS) {
-	    LDAPDebug (LDAP_DEBUG_ANY, "ldapu_get_cert_subject_dn(%p) %i (%s)\n",
+	    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldapu_get_cert_subject_dn(%p) %i (%s)\n",
 		       (void*)cert, err, ldapu_err2string (err));
 	}
     }
@@ -345,7 +345,7 @@ issuer_of (CERTCertificate* cert)
     if (cert != NULL) {
 	int err = ldapu_get_cert_issuer_dn (cert, &dn);
 	if (err != LDAPU_SUCCESS) {
-	    LDAPDebug (LDAP_DEBUG_ANY, "ldapu_get_cert_issuer_dn(%p) %i (%s)\n",
+	    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldapu_get_cert_issuer_dn(%p) %i (%s)\n",
 		       (void*)cert, err, ldapu_err2string (err));
 	}
     }
@@ -487,12 +487,12 @@ handle_handshake_done (PRFileDesc *prfd, void* clientData)
 		} else {
 		  
 		    extraErrorMsg = "no entry";
-		    LDAPDebug (LDAP_DEBUG_TRACE, "<= ldapu_cert_to_ldap_entry() %s\n",
+		    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= ldapu_cert_to_ldap_entry() %s\n",
 			       extraErrorMsg, 0, 0);
 		}
 	    } else {
 		extraErrorMsg = ldapu_err2string(err);
-	        LDAPDebug (LDAP_DEBUG_TRACE, "<= ldapu_cert_to_ldap_entry() %i (%s)%s\n",
+	        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= ldapu_cert_to_ldap_entry() %i (%s)%s\n",
 			   err, extraErrorMsg, chain ? "" : " NULL");
 	    }
 		slapi_ch_free_string(&basedn);
diff --git a/ldap/servers/slapd/ava.c b/ldap/servers/slapd/ava.c
index 03af368..006ac6b 100644
--- a/ldap/servers/slapd/ava.c
+++ b/ldap/servers/slapd/ava.c
@@ -31,7 +31,7 @@ get_ava(
 	    == LBER_ERROR ) {
         slapi_ch_free_string( &type );
         ava_done(ava);
-		LDAPDebug( LDAP_DEBUG_ANY, "  get_ava ber_scanf\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "  get_ava ber_scanf\n", 0, 0, 0 );
 		return( LDAP_PROTOCOL_ERROR );
 	}
 	ava->ava_type = slapi_attr_syntax_normalize(type);
diff --git a/ldap/servers/slapd/back-ldbm/ancestorid.c b/ldap/servers/slapd/back-ldbm/ancestorid.c
index 2fd752e..fa0be74 100644
--- a/ldap/servers/slapd/back-ldbm/ancestorid.c
+++ b/ldap/servers/slapd/back-ldbm/ancestorid.c
@@ -120,7 +120,7 @@ static int ldbm_get_nonleaf_ids(backend *be, DB_TXN *txn, IDList **idl, ImportJo
     /* Return the idlist */
     if (ret == 0) {
         *idl = nodes;
-        LDAPDebug(LDAP_DEBUG_TRACE, "found %lu nodes for ancestorid\n", 
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "found %lu nodes for ancestorid\n", 
                   (u_long)IDL_NIDS(nodes), 0, 0);
     } else {
         idl_free(&nodes);
@@ -207,7 +207,7 @@ static int ldbm_ancestorid_default_create_index(backend *be, ImportJob *job)
 
     /* Maybe nothing to do */
     if (nodes == NULL || nodes->b_nids == 0) {
-        LDAPDebug(LDAP_DEBUG_ANY, "Nothing to do to build ancestorid index\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Nothing to do to build ancestorid index\n",
                   0, 0, 0);
         goto out;
     }
@@ -268,7 +268,7 @@ static int ldbm_ancestorid_default_create_index(backend *be, ImportJob *job)
             descendants = idl_union_allids(be, ai_aid, ididl->idl, children);
             idl_free(&children);
             if (id2idl_hash_remove(ht, &id) == 0) {
-                LDAPDebug(LDAP_DEBUG_ANY, "ancestorid hash_remove failed\n", 0,0,0);
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ancestorid hash_remove failed\n", 0,0,0);
             } else {
                 id2idl_free(&ididl);
             }
@@ -302,7 +302,7 @@ static int ldbm_ancestorid_default_create_index(backend *be, ImportJob *job)
             ididl->keyid = parentid;
             ididl->idl = descendants;
             if (id2idl_hash_add(ht, &parentid, ididl, NULL) == 0) {
-                LDAPDebug(LDAP_DEBUG_ANY, "ancestorid hash_add failed\n", 0,0,0);
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ancestorid hash_add failed\n", 0,0,0);
             }
         }
 
@@ -384,7 +384,7 @@ static int ldbm_ancestorid_new_idl_create_index(backend *be, ImportJob *job)
 
 	/* Bail now if we did not get here honestly. */
 	if (!idl_get_idl_new()) {
-		LDAPDebug(LDAP_DEBUG_ANY, "Cannot create ancestorid index.  " 
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Cannot create ancestorid index.  " 
 			"New IDL version called but idl_new is false!\n", 0,0,0);
 		return 1;
 	}
@@ -408,7 +408,7 @@ static int ldbm_ancestorid_new_idl_create_index(backend *be, ImportJob *job)
 
     /* Maybe nothing to do */
     if (nodes == NULL || nodes->b_nids == 0) {
-        LDAPDebug(LDAP_DEBUG_ANY, "Nothing to do to build ancestorid index\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Nothing to do to build ancestorid index\n",
                   0, 0, 0);
         goto out;
     }
@@ -523,7 +523,7 @@ static int ldbm_ancestorid_new_idl_create_index(backend *be, ImportJob *job)
         }
         import_log_notice(job, "Created ancestorid index (new idl).");
     } else {
-        LDAPDebug(LDAP_DEBUG_ANY, "Failed to create ancestorid index\n", 0,0,0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Failed to create ancestorid index\n", 0,0,0);
     }
 
     /* Free any leftover idlists */
@@ -632,7 +632,7 @@ static int check_cache(id2idl_hash *ht)
     }
 
     if (found > 0) {
-        LDAPDebug(LDAP_DEBUG_ANY, "ERROR: parentid index is not complete (%lu extra keys in ancestorid cache)\n", found,0,0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ERROR: parentid index is not complete (%lu extra keys in ancestorid cache)\n", found,0,0);
         ret = -1;
     }
 
@@ -699,13 +699,13 @@ static int ancestorid_addordel(
 
     if (flags & BE_INDEX_ADD) {
 #if 1
-        LDAPDebug(LDAP_DEBUG_TRACE, "insert ancestorid %lu:%lu\n", 
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "insert ancestorid %lu:%lu\n", 
                   (u_long)node_id, (u_long)id, 0);
 #endif
         ret = idl_insert_key(be, db, &key, id, txn, ai, allids);
     } else {
 #if 1
-        LDAPDebug(LDAP_DEBUG_TRACE, "delete ancestorid %lu:%lu\n", 
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "delete ancestorid %lu:%lu\n", 
                   (u_long)node_id, (u_long)id, 0);
 #endif
         ret = idl_delete_key(be, db, &key, id, txn, ai);
@@ -958,14 +958,14 @@ _sdn_suffix_cmp(
     /* return the DN */
     slapi_sdn_set_dn_passin(common, ndnstr);
 
-    LDAPDebug(LDAP_DEBUG_TRACE, "common suffix <%s>\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "common suffix <%s>\n",
               slapi_sdn_get_dn(common), 0, 0);
 
 out:
     slapi_ldap_value_free(rdns1);
     slapi_ldap_value_free(rdns2);
 
-    LDAPDebug(LDAP_DEBUG_TRACE, "_sdn_suffix_cmp(<%s>, <%s>) => %d\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "_sdn_suffix_cmp(<%s>, <%s>) => %d\n",
               slapi_sdn_get_dn(left), slapi_sdn_get_dn(right), ret);
 
     return ret;
diff --git a/ldap/servers/slapd/back-ldbm/archive.c b/ldap/servers/slapd/back-ldbm/archive.c
index 64d558c..19d2192 100644
--- a/ldap/servers/slapd/back-ldbm/archive.c
+++ b/ldap/servers/slapd/back-ldbm/archive.c
@@ -90,7 +90,7 @@ int ldbm_back_archive2ldbm( Slapi_PBlock *pb )
         /* task does not support restore old idl onto new idl server */
         if (is_old_to_new)
         {
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                       "backup has old idl format; "
                       "to restore old formated backup onto the new server, "
                       "please use command line utility \"bak2db\" .\n",
@@ -111,7 +111,7 @@ int ldbm_back_archive2ldbm( Slapi_PBlock *pb )
 
             /* check if an import/restore is already ongoing... */
             if (instance_set_busy(inst) != 0) {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                           "ldbm: '%s' is already in the middle of "
                           "another task and cannot be disturbed.\n",
                           inst->inst_name, 0, 0);
@@ -142,7 +142,7 @@ int ldbm_back_archive2ldbm( Slapi_PBlock *pb )
         for (inst_obj = objset_first_obj(li->li_instance_set); inst_obj;
              inst_obj = objset_next_obj(li->li_instance_set, inst_obj)) {
             inst = (ldbm_instance *)object_get_data(inst_obj);
-            LDAPDebug(LDAP_DEBUG_ANY, "Bringing %s offline...\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Bringing %s offline...\n",
                       inst->inst_name, 0, 0);
             if (task) {
                 slapi_task_log_notice(task, "Bringing %s offline...",
@@ -165,7 +165,7 @@ int ldbm_back_archive2ldbm( Slapi_PBlock *pb )
     /* tell the database to restore */
     return_value = dblayer_restore(li, directory, task, backendname);
     if (0 != return_value) {
-        LDAPDebug( LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "archive2db: Failed to read backup file set. "
                   "Either the directory specified doesn't exist, "
                   "or it exists but doesn't contain a valid backup set, "
@@ -206,7 +206,7 @@ int ldbm_back_archive2ldbm( Slapi_PBlock *pb )
                 *p = '\0';
             }
             bakup_dir = slapi_ch_smprintf("%s%ctmp_%010ld", directory, c, time(0));
-            LDAPDebug( LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                       "archive2db: backup dir: %s\n", bakup_dir, 0, 0);
             if (p) *p = c;
 
@@ -241,7 +241,7 @@ int ldbm_back_archive2ldbm( Slapi_PBlock *pb )
             inst = (ldbm_instance *)object_get_data(inst_obj);
             ret = dblayer_instance_start(inst->inst_be, DBLAYER_NORMAL_MODE);
             if (ret != 0) {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                           "archive2db: Unable to restart '%s'\n",
                           inst->inst_name, 0, 0);
                 if (task) {
@@ -282,7 +282,7 @@ int ldbm_back_ldbm2archive( Slapi_PBlock *pb )
     slapi_pblock_get( pb, SLAPI_BACKEND_TASK, &task );
 
     if ( !rawdirectory || !*rawdirectory ) {
-        LDAPDebug( LDAP_DEBUG_ANY, "db2archive: no archive name\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "db2archive: no archive name\n",
                    0, 0, 0 );
         return -1;
     }
@@ -295,7 +295,7 @@ int ldbm_back_ldbm2archive( Slapi_PBlock *pb )
         if (0 != (return_value = 
                   dblayer_start(li,
                             DBLAYER_ARCHIVE_MODE|DBLAYER_NO_DBTHREADS_MODE))) {
-            LDAPDebug(LDAP_DEBUG_ANY, "db2archive: Failed to init database\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "db2archive: Failed to init database\n",
                       0, 0, 0);
             if (task) {
                 slapi_task_log_notice(task, "Failed to init database");
@@ -309,7 +309,7 @@ int ldbm_back_ldbm2archive( Slapi_PBlock *pb )
 
     if (stat(directory, &sbuf) == 0) {
         if (slapd_comp_path(directory, li->li_directory) == 0) {
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                 "db2archive: Cannot archive to the db directory.\n", 0, 0, 0);
             if (task) {
                 slapi_task_log_notice(task, 
@@ -320,7 +320,7 @@ int ldbm_back_ldbm2archive( Slapi_PBlock *pb )
         }
 
         dir_bak = slapi_ch_smprintf("%s.bak", directory);
-        LDAPDebug(LDAP_DEBUG_ANY, "db2archive: %s exists. Renaming to %s\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "db2archive: %s exists. Renaming to %s\n",
                                   directory, dir_bak, 0);
         if (task) {
             slapi_task_log_notice(task, "%s exists. Renaming to %s",
@@ -329,7 +329,7 @@ int ldbm_back_ldbm2archive( Slapi_PBlock *pb )
         if (stat(dir_bak, &sbuf) == 0) {
             return_value = ldbm_delete_dirs(dir_bak);
             if (0 != return_value) {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                             "db2archive: %s exists and failed to delete it.\n",
                             dir_bak, 0, 0);
                 if (task) {
@@ -343,10 +343,10 @@ int ldbm_back_ldbm2archive( Slapi_PBlock *pb )
         return_value = PR_Rename(directory, dir_bak);
         if (return_value != PR_SUCCESS) {
             PRErrorCode prerr = PR_GetError();
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                             "db2archive: Failed to rename \"%s\" to \"%s\".\n",
                             directory, dir_bak, 0);
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                             SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
                             prerr, slapd_pr_strerror(prerr), 0);
             if (task) {
@@ -364,7 +364,7 @@ int ldbm_back_ldbm2archive( Slapi_PBlock *pb )
     if (0 != MKDIR(directory,SLAPD_DEFAULT_DIR_MODE) && EEXIST != errno) {
         char *msg = dblayer_strerror(errno);
 
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "db2archive: mkdir(%s) failed; errno %i (%s)\n",
                   directory, errno, msg ? msg : "unknown");
         if (task) {
@@ -387,7 +387,7 @@ int ldbm_back_ldbm2archive( Slapi_PBlock *pb )
 
             /* check if an import/restore is already ongoing... */
             if (instance_set_busy(inst) != 0 || dblayer_in_import(inst) != 0) {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                           "ldbm: '%s' is already in the middle of "
                           "another task and cannot be disturbed.\n",
                           inst->inst_name, 0, 0);
@@ -490,7 +490,7 @@ out:
     /* close the database down again */
     if (run_from_cmdline &&
         0 != dblayer_close(li,DBLAYER_ARCHIVE_MODE|DBLAYER_NO_DBTHREADS_MODE)) {
-        LDAPDebug(LDAP_DEBUG_ANY, "db2archive: Failed to close database\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "db2archive: Failed to close database\n",
                   0, 0, 0);
         if (task) {
             slapi_task_log_notice(task, "Failed to close database");
diff --git a/ldap/servers/slapd/back-ldbm/cache.c b/ldap/servers/slapd/back-ldbm/cache.c
index b34bec9..4280cd1 100644
--- a/ldap/servers/slapd/back-ldbm/cache.c
+++ b/ldap/servers/slapd/back-ldbm/cache.c
@@ -43,12 +43,12 @@
 #ifdef LDAP_CACHE_DEBUG
 #define ASSERT(_x) do { \
     if (!(_x)) { \
-       LDAPDebug(LDAP_DEBUG_ANY, "BAD CACHE ASSERTION at %s/%d: %s\n", \
+       LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "BAD CACHE ASSERTION at %s/%d: %s\n", \
                 __FILE__, __LINE__, #_x); \
        *(char *)0L = 23; \
     } \
 } while (0)
-#define LOG(_a, _x1, _x2, _x3)  LDAPDebug(LDAP_DEBUG_CACHE, _a, _x1, _x2, _x3)
+#define LOG(_a, _x1, _x2, _x3)  LDAPDebug(LDAP_DEBUG_CACHE, LOG_DEBUG, _a, _x1, _x2, _x3)
 #else
 #define ASSERT(_x) ;
 #define LOG(_a, _x1, _x2, _x3)  ;
@@ -489,7 +489,7 @@ static void cache_make_hashes(struct cache *cache, int type)
 /* initialize the cache */
 int cache_init(struct cache *cache, size_t maxsize, long maxentries, int type)
 {
-    LDAPDebug(LDAP_DEBUG_TRACE, "=> cache_init\n", 0, 0, 0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> cache_init\n", 0, 0, 0);
     cache->c_maxsize = maxsize;
     cache->c_maxentries = maxentries;
     cache->c_curentries = 0;
@@ -521,7 +521,7 @@ int cache_init(struct cache *cache, size_t maxsize, long maxentries, int type)
        LDAPDebug0Args(LDAP_DEBUG_ANY, "ldbm: cache_init: PR_NewMonitor failed\n");
        return 0;
     }
-    LDAPDebug(LDAP_DEBUG_TRACE, "<= cache_init\n", 0, 0, 0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= cache_init\n", 0, 0, 0);
     return 1;
 }
 
@@ -561,7 +561,7 @@ entrycache_flush(struct cache *cache)
         ASSERT(e->ep_refcnt == 0);
         e->ep_refcnt++;
         if (entrycache_remove_int(cache, e) < 0) {
-           LDAPDebug(LDAP_DEBUG_ANY,
+           LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                      "entry cache flush: unable to delete entry\n", 0, 0, 0);
            break;
         }
@@ -655,7 +655,7 @@ static void entrycache_set_max_size(struct cache *cache, size_t bytes)
 
     if (bytes < MINCACHESIZE) {
        bytes = MINCACHESIZE;
-       LDAPDebug(LDAP_DEBUG_ANY,
+       LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                 "WARNING -- Minimum cache size is %lu -- rounding up\n",
                 MINCACHESIZE, 0, 0);
     }
@@ -683,7 +683,7 @@ static void entrycache_set_max_size(struct cache *cache, size_t bytes)
      * ldbm_instance_config
      */
     if (! util_is_cachesize_sane(&bytes)) {
-       LDAPDebug(LDAP_DEBUG_ANY,
+       LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                 "WARNING -- Possible CONFIGURATION ERROR -- cachesize "
                 "(%lu) may be configured to use more than the available "
                 "physical memory.\n", bytes, 0, 0);
@@ -1604,7 +1604,7 @@ dncache_set_max_size(struct cache *cache, size_t bytes)
 
     if (bytes < MINCACHESIZE) {
        bytes = MINCACHESIZE;
-       LDAPDebug(LDAP_DEBUG_ANY,
+       LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                 "WARNING -- Minimum cache size is %lu -- rounding up\n",
                 MINCACHESIZE, 0, 0);
     }
@@ -1968,7 +1968,7 @@ dncache_flush(struct cache *cache)
         ASSERT(dn->ep_refcnt == 0);
         dn->ep_refcnt++;
         if (dncache_remove_int(cache, dn) < 0) {
-           LDAPDebug(LDAP_DEBUG_ANY, "dn cache flush: unable to delete entry\n",
+           LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "dn cache flush: unable to delete entry\n",
                     0, 0, 0);
            break;
         }
diff --git a/ldap/servers/slapd/back-ldbm/cleanup.c b/ldap/servers/slapd/back-ldbm/cleanup.c
index 63116c5..6e31f57 100644
--- a/ldap/servers/slapd/back-ldbm/cleanup.c
+++ b/ldap/servers/slapd/back-ldbm/cleanup.c
@@ -20,14 +20,14 @@ int ldbm_back_cleanup( Slapi_PBlock *pb )
 	struct ldbminfo	*li;
     Slapi_Backend *be;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "ldbm backend cleaning up\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "ldbm backend cleaning up\n", 0, 0, 0 );
 	slapi_pblock_get( pb, SLAPI_PLUGIN_PRIVATE, &li );
     slapi_pblock_get( pb, SLAPI_BACKEND, &be );
 
 	if (be->be_state != BE_STATE_STOPPED &&
 		be->be_state != BE_STATE_DELETED)
 	{
-		LDAPDebug( LDAP_DEBUG_TRACE, 
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, 
 				  "ldbm_back_cleanup: warning - backend is in a wrong state - %d\n", 
 				  be->be_state, 0, 0 );
 		return 0;
@@ -38,7 +38,7 @@ int ldbm_back_cleanup( Slapi_PBlock *pb )
 	if (be->be_state != BE_STATE_STOPPED &&
 		be->be_state != BE_STATE_DELETED)
 	{
-		LDAPDebug( LDAP_DEBUG_TRACE, 
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, 
 				  "ldbm_back_cleanup: warning - backend is in a wrong state - %d\n", 
 				  be->be_state, 0, 0 );
 		PR_Unlock (be->be_state_lock);
